Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.entity
Class PortletApplicationEntityListImpl

    java.lang.Object
      org.jasig.portal.container.om.entity.PortletApplicationEntityListImpl

All Implemented Interfaces:
  org.apache.pluto.om.Controller, org.apache.pluto.om.entity.PortletApplicationEntityList, org.apache.pluto.om.entity.PortletApplicationEntityListCtrl, org.apache.pluto.om.Model

    public class PortletApplicationEntityListImpl

extends java.lang.Object
implements org.apache.pluto.om.entity.PortletApplicationEntityList, org.apache.pluto.om.entity.PortletApplicationEntityListCtrl

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net

Constructor Summary
`PortletApplicationEntityListImpl()`

Method Summary
`org.apache.pluto.om.entity.PortletApplicationEntity` | `add(java.lang.String definitionId)`
`org.apache.pluto.om.entity.PortletApplicationEntity` | `get(org.apache.pluto.om.common.ObjectID id)`
`java.util.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplicationEntityListImpl

    public PortletApplicationEntityListImpl()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.pluto.om.entity.PortletApplicationEntityList`

### get

    public org.apache.pluto.om.entity.PortletApplicationEntity get(org.apache.pluto.om.common.ObjectID id)

  Specified by:
    `get` in interface `org.apache.pluto.om.entity.PortletApplicationEntityList`

### add

    public org.apache.pluto.om.entity.PortletApplicationEntity add(java.lang.String definitionId)

  Specified by:
    `add` in interface `org.apache.pluto.om.entity.PortletApplicationEntityListCtrl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD